import React, { Component } from 'react'
import { connect } from 'react-redux'
import { withStyles } from 'material-ui/styles'
import Button from 'material-ui/Button'
import Base from '../common/Base'
import DataTable from '../common/DataTable'

const styles = theme => ({
    gap: {
        marginTop: 25
    }
})

class TasksList extends Component {
    /**
     * 
     * @param {*} e 
     */
    onAction(e) {
        console.log(e)
    }

    /**
     * 
     * @param {*} e 
     * @param {*} ids 
     */
    onSelect(e, ids) {

    }

    /**
     * 
     */
    render() {
        const columns = [
            {
                title: 'Nombre',
                key: 'title'
            },
            {
                title: 'Última Ejecución',
                key: 'last_execution'
            }
        ]

        const { tasks } = this.props

        return (
            <Base title={this.props.title}>
                <Button variant='raised' color='primary' onClick={e => this.onAction(e)}>Ejecutar</Button>
                <DataTable
                    columns={columns}
                    rows={tasks}
                    onSelect={(e, ids) => this.onSelect(e, ids)}
                />
            </Base>
        )
    }
}

/**
 * 
 * @param {*} state 
 * @param {*} props 
 */
const mapStateToProps = (state, props) => {
    return {
        tasks: []
    }
}

/**
 * 
 * @param {*} dispatch 
 * @param {*} props 
 */
const mapDispatchToProps = (dispatch, props) => ({
    /**
     * 
     */
    loadData() {

    }
})

TasksList = withStyles(styles)(TasksList)

export default connect(mapStateToProps, mapDispatchToProps)(TasksList)